Skip to main content
GET
/
aggregates
List billable metrics
curl --request GET \
  --url https://api.zenskar.com/aggregates \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "dataschema": "<string>",
      "aggregation_query": "<string>",
      "cust_agg_query": "<string>",
      "visual_query_builder": {},
      "datasource": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null
default:20230501

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

sort_key
string | null
default:created_at
Example:

"sort_key=id"

sort_type
string | null
default:DESC
Example:

"sort_key=asc"

id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
name
string | null
name__ilike
string | null
name__like
string | null
name__in
string | null
name__isnull
boolean | null
datasource
string<uuid> | null
datasource__in
string | null
datasource__isnull
boolean | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
parent_aggregate_id
string<uuid> | null
parent_aggregate_id__in
string | null
parent_aggregate_id__isnull
boolean | null
aggregate_type
enum<string> | null
Available options:
usage_report
aggregate_type__in
string | null
aggregate_type__isnull
boolean | null
version
integer | null

Response

Successful Response

results
GetAggregateResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows